
<div class="block stuf-zkn-simulator">
    <div class="block-header clearfix"> 
        <div class="block-header-title">StuF-ZKN Simulator</div>
    </div>

    <div id="content" class="block-content">
    <form method="post" action="[% c.uri_for('/stuf/simulator/process') | html_entity %]" enctype="multipart/form-data">
        <div class="grid-table">

        <div class="row">
            <div class="column large-5">Endpoint URL</div>
            <div class="column large-7"><input type="text" name="endpoint"></div>
        </div>

        <div class="row">
            <div class="column large-5">CA certificate</div>
            <div class="column large-7"><input type="file" name="ca_cert"></div>
        </div>

        <div class="row">
            <div class="column large-5">Client certificate</div>
            <div class="column large-7"><input type="file" name="client_cert"></div>
        </div>

        <div class="row">
            <div class="column large-5">Client private key</div>
            <div class="column large-7"><input type="file" name="client_key"></div>
        </div>

        <div class="row">
            <div class="column large-5">Operation</div>
            <div class="column large-7">
                <select name="soap_call" ng-model="stufSimulator.simulatedCall">
                    <option value="genereerZaakIdentificatie_Di02">genereerZaakIdentificatie_Di02</option>
                    <option value="zakLk01a">creeerZaak_Lk01</option>
                    <option value="zakLk01b">actualiseerZaakstatus_Lk01</option>
                    <option value="zakLk01c">updateZaak_Lk01</option>
                    <option value="zakLv01">geefZaakdetails_Lv01, geefLijstZaakdocumenten_Lv01</option>
                    <option value="edcLv01">geefZaakdocumentLezen_Lv01</option>
                    <option value="genereerDocumentIdentificatie_Di02">genereerDocumentIdentificatie_Di02</option>
                    <option value="edcLk01">voegZaakdocumentToe_Lk01</option>
                </select>
            </div>
        </div>

        <h3 class="title">Stuurgegevens</h3>
        <div>
            <div class="row">
                <div class="column large-5">Zender - Applicatie</div>
                <div class="column large-7"><input type="text" name="zender_applicatie"></div>
            </div>
            <div class="row">
                <div class="column large-5">Zender - Administratie (niet verplicht)</div>
                <div class="column large-7"><input type="text" name="zender_administratie"></div>
            </div>
            <div class="row">
                <div class="column large-5">Zender - Organisatie (niet verplicht)</div>
                <div class="column large-7"><input type="text" name="zender_organisatie"></div>
            </div>
            <div class="row">
                <div class="column large-5">Zender - Gebruiker (niet verplicht)</div>
                <div class="column large-7"><input type="text" name="zender_gebruiker"></div>
            </div>
            <div class="row">
                <div class="column large-5">Ontvanger - Applicatie</div>
                <div class="column large-7"><input type="text" name="ontvanger_applicatie"></div>
            </div>
            <div class="row">
                <div class="column large-5">Ontvanger - Administratie (niet verplicht)</div>
                <div class="column large-7"><input type="text" name="ontvanger_administratie"></div>
            </div>
            <div class="row">
                <div class="column large-5">Ontvanger - Organisatie (niet verplicht)</div>
                <div class="column large-7"><input type="text" name="ontvanger_organisatie"></div>
            </div>
            <div class="row">
                <div class="column large-5">Ontvanger - Gebruiker (niet verplicht)</div>
                <div class="column large-7"><input type="text" name="ontvanger_gebruiker"></div>
            </div>
            <div class="row">
                <div class="column large-5">Referentienummer</div>
                <div class="column large-7"><input type="text" name="referentienummer"></div>
            </div>
        </div>

        <h3 class="title">Specifieke gegevens voor operatie</h3>

        <div ng-show="stufSimulator.simulatedCall==='zakLv01'">
            <div class="row">
                <div class="column large-5">Identificatie (zaaknummer)</div>
                <div class="column large-7">
                    <input type="text" name="case_id" ng-disabled="stufSimulator.simulatedCall!=='zakLv01'">
                </div>
            </div>
        </div>

        <div ng-show="stufSimulator.simulatedCall==='edcLv01'">
            <div class="row">
                <div class="column large-5">Document-identificatie</div>
                <div class="column large-7"><input type="text" name="document_id" ng-disabled="stufSimulator.simulatedCall!=='edcLv01'"></div>
            </div>
            <div class="row">
                <div class="column large-5">Zaak-identificatie (zaaknummer)</div>
                <div class="column large-7"><input type="text" name="case_id" ng-disabled="stufSimulator.simulatedCall!=='edcLv01'"></div>
            </div>
        </div>

        <div ng-show="stufSimulator.simulatedCall==='zakLk01a'">

            <div class="row">
                <div class="column large-5">Zaak-identificatie (zaaknummer)</div>
                <div class="column large-7">
                    <input type="text" name="case_id" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Zaak-omschrijving</div>
                <div class="column large-7">
                    <input type="text" name="omschrijving" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Zaaktype-omschrijving</div>
                <div class="column large-7">
                    <input type="text" name="zkt_omschrijving" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Zaaktype-code</div>
                <div class="column large-7">
                    <input type="text" name="code" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Kenmerk:</div>
                <div class="column large-7">
                    <input type="text" name="kenmerk" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Kenmerk-bron:</div>
                <div class="column large-7">
                    <input type="text" name="kenmerk_bron" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Startdatum</div>
                <div class="column large-7">
                    <input type="text" name="start_date" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'" placeholder="jjjjmmdd">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Registratiedatum</div>
                <div class="column large-7">
                    <input type="text" name="registration_date" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'" placeholder="jjjjmmdd">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Zaakniveau</div>
                <div class="column large-7">
                    <input type="text" name="level" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Deelzakenindicatie</div>
                <div class="column large-7">
                    <input type="text" name="deelzaken_indicator" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Initiator-type</div>
                <div class="column large-7">
                    <select name="initiator_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="initiator_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'" placeholder="identificatie">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Heeft uitvoerende?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasUitvoerende" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Uitvoerende-identificatie</div>
                <div class="column large-7">
                    <input type="text" name="uitvoerende_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Heeft verantwoordelijke?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasVerantwoordelijke" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Verantwoordelijke-identificatie</div>
                <div class="column large-7">
                    <input type="text" name="verantwoordelijke_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Heeft gemachtigde?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasGemachtigde" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Gemachtigde-type</div>
                <div class="column large-7">
                    <select name="gemachtigde_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="gemachtigde_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'" placeholder="identificatie">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Heeft belanghebbende?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasBelanghebbende" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Belanghebbende-type</div>
                <div class="column large-7">
                    <select name="belanghebbende_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="belanghebbende_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'" placeholder="identificatie">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Heeft OverigBetrokkene?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasOverigBetrokkene" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">OverigBetrokkene-type</div>
                <div class="column large-7">
                    <select name="overigbetrokkene_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="overigbetrokkene_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01a'" placeholder="identificatie">
                </div>
            </div>

        </div>


        <div ng-show="stufSimulator.simulatedCall==='zakLk01b'">
            <div class="row">
                <div class="column large-5">Zaak-identificatie (zaaknummer)</div>
                <div class="column large-7"><input type="text" name="case_id" ng-disabled="stufSimulator.simulatedCall!=='zakLk01b'"></div>
            </div>
            <div class="row">
                <div class="column large-5">Status is gezet door</div>
                <div class="column large-7"><input type="text" name="status_username" placeholder="username" ng-disabled="stufSimulator.simulatedCall!=='zakLk01b'"></div>
            </div>
            <div class="row">
                <div class="column large-5">Nieuwe status (volgnummer)</div>
                <div class="column large-7"><input type="text" name="status_number" ng-disabled="stufSimulator.simulatedCall!=='zakLk01b'"></div>
            </div>
            <div class="row">
                <div class="column large-5">Nieuwe status (omschrijving)</div>
                <div class="column large-7"><input type="text" name="status_description" ng-disabled="stufSimulator.simulatedCall!=='zakLk01b'"></div>
            </div>
        </div>


        <div ng-show="stufSimulator.simulatedCall==='zakLk01c'">
            <div class="row">
                <div class="column large-5">Zaak-identificatie (zaaknummer)</div>
                <div class="column large-7">
                    <input type="text" name="case_id" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Kenmerk:</div>
                <div class="column large-7">
                    <input type="text" name="kenmerk" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Kenmerk-bron:</div>
                <div class="column large-7">
                    <input type="text" name="kenmerk_bron" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>

            <div class="row">
                <div class="column large-5">Startdatum</div>
                <div class="column large-7">
                    <input type="text" name="start_date" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="jjjjmmdd">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Registratiedatum</div>
                <div class="column large-7">
                    <input type="text" name="registration_date" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="jjjjmmdd">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Einddatum</div>
                <div class="column large-7">
                    <input type="text" name="end_date" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="jjjjmmdd">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Einddatum (gepland)</div>
                <div class="column large-7">
                    <input type="text" name="end_date_planned" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="jjjjmmdd">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Zaakniveau</div>
                <div class="column large-7">
                    <input type="text" name="level" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Deelzakenindicatie</div>
                <div class="column large-7">
                    <input type="text" name="deelzaken_indicator" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Resultaat</div>
                <div class="column large-7">
                    <input type="text" name="result" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="verwerkt, afgewezen, etc">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Initiator-type</div>
                <div class="column large-7">
                    <select name="initiator_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="initiator_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="identificatie">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Heeft uitvoerende?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasUitvoerende" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Uitvoerende-identificatie</div>
                <div class="column large-7">
                    <input type="text" name="uitvoerende_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Heeft verantwoordelijke?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasVerantwoordelijke" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Verantwoordelijke-identificatie</div>
                <div class="column large-7">
                    <input type="text" name="verantwoordelijke_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Heeft gemachtigde?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasGemachtigde" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Gemachtigde-type</div>
                <div class="column large-7">
                    <select name="gemachtigde_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="gemachtigde_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="identificatie">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Heeft belanghebbende?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasBelanghebbende" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Belanghebbende-type</div>
                <div class="column large-7">
                    <select name="belanghebbende_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="belanghebbende_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="identificatie">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Heeft OverigBetrokkene?</div>
                <div class="column large-7">
                    <input type="checkbox" name="hasOverigBetrokkene" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">OverigBetrokkene-type</div>
                <div class="column large-7">
                    <select name="overigbetrokkene_type" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'">
                        <option value="medewerker">Medewerker</option>
                        <option value="natuurlijk_persoon">Natuurlijk persoon</option>
                        <option value="vestiging">Vestiging</option>
                    </select> <input type="text" name="overigbetrokkene_identification" ng-disabled="stufSimulator.simulatedCall!=='zakLk01c'" placeholder="identificatie">
                </div>
            </div>
        </div>

        <div ng-show="stufSimulator.simulatedCall==='edcLk01'">
            <div class="row">
                <div class="column large-5">Document-identificatie</div>
                <div class="column large-7">
                    <input type="text" name="document_id" ng-disabled="stufSimulator.simulatedCall!=='edcLk01'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Zaak-identificatie (zaaknummer)</div>
                <div class="column large-7">
                    <input type="text" name="case_id" ng-disabled="stufSimulator.simulatedCall!=='edcLk01'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Document</div>
                <div class="column large-7">
                    <input type="file" name="document" ng-disabled="stufSimulator.simulatedCall!=='edcLk01'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Bestandsnaam</div>
                <div class="column large-7">
                    <input type="text" name="document_filename" ng-disabled="stufSimulator.simulatedCall!=='edcLk01'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Beschrijving</div>
                <div class="column large-7">
                    <input type="text" name="description" ng-disabled="stufSimulator.simulatedCall!=='edcLk01'">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Vertrouwelijkheid</div>
                <div class="column large-7">
                    <select name="vertrouwelijkheid">
                        <option value="OPENBAAR">Openbaar</option>
                        <option value="BEPERKT OPENBAAR">Beperkt openbaar</option>
                        <option value="INTERN">Intern</option>
                        <option value="ZAAKVERTROUWELIJK">Zaakvertrouwelijk</option>
                        <option value="VERTROUWELIJK">Vertrouwelijk</option>
                        <option value="CONFIDENTIEEL">Confidentieel</option>
                        <option value="GEHEIM">Geheim</option>
                        <option value="ZEER GEHEIM">Zeer geheim</option>
                    </select>
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Verzenddatum</div>
                <div class="column large-7">
                    <input type="text" name="verzenddatum" ng-disabled="stufSimulator.simulatedCall!=='edcLk01'" placeholder="jjjjmmdd">
                </div>
            </div>
            <div class="row">
                <div class="column large-5">Ontvangstdatum</div>
                <div class="column large-7">
                    <input type="text" name="ontvangstdatum" ng-disabled="stufSimulator.simulatedCall!=='edcLk01'" placeholder="jjjjmmdd">
                </div>
            </div>
        </div>
        <input type="submit" value="Versturen" class="button button-primary right">
    </form>
    </div>
</div>
